# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies.
#
# If you are reading this file be aware that the original Cargo.toml
# will likely look very different (and much more reasonable).
# See Cargo.toml.orig for the original contents.

[package]
edition = "2024"
rust-version = "1.87.0"
name = "ignored"
version = "0.0.5"
authors = ["Ryan Maber <ryan@ryanmaber.com>"]
build = false
autolib = false
autobins = false
autoexamples = false
autotests = false
autobenches = false
description = "A Rust implementation of the .gitignore file format for quickly checking whether a path is ignored by git - without invoking the git cli."
homepage = "https://ryanmaber.com"
readme = "README.md"
keywords = [
    "gitignore",
    "git",
    "ignored",
    "ignore",
]
categories = [
    "filesystem",
    "parser-implementations",
]
license = "MIT"
repository = "https://github.com/ryanmab/ignored"

[badges.maintenance]
status = "passively-maintained"

[lib]
name = "ignored"
path = "src/lib.rs"

[dependencies.log]
version = "0.4.29"

[dependencies.regex]
version = "1.12.3"

[dependencies.sha2]
version = "0.10.9"

[dependencies.thiserror]
version = "2.0.18"

[dependencies.xdir]
version = "0.1.0"

[dev-dependencies.fastrand]
version = "2.3.0"

[dev-dependencies.proptest]
version = "1.11.0"
features = ["proptest-macro"]

[dev-dependencies.rstest]
version = "0.26.1"

[dev-dependencies.temp-env]
version = "0.3.6"

[dev-dependencies.tempfile]
version = "3.27.0"

[dev-dependencies.test-log]
version = "0.2.19"

[profile.release]
lto = true
